/** ----------------------------------------------------------------------------
 *                              CONTENTS
body section
 */


/** ----------------------------------------------------------------------------
 *                              banner
*/

section[role="banner"]{

  position: relative;
  .overlay {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    max-width: 560px;
    @media all and (min-width: $site_max_width ) {
      left: 60px;
    }
    @media all and (max-width: 650px) and (min-width: 352px) {
      padding-bottom: 2em;
    }
    & > div {
      padding: 1em;
    }
    p {
      font-size: 1.3em;
      line-height: 1.5;
      font-weight: 300;
    }
    & > * {
      margin: 0;
    }
    h1 {
      margin: 0;
    }
  }
  [style*="background-image"] {
    height: 500px;
  }
}


.slick-dotted.slick-slider {
  @media all and (max-width: 1000px) {
    margin-bottom: 0;
  }
  ul.slick-dots {
    bottom: 10px;
    li {  
      button::before {
        border: solid white;
        background: white;
        border-radius: 50%;
        width: 10px;
        height: 10px;
        color: white;
      }
      &.slick-active button::before {
        color: $colour-text-body;
        border-color: $colour-text-body;
        background-color: $colour-text-body;
      }
      button:focus {
       box-shadow: none;
       border: none; 
      }
    }
  } 
}



/** ----------------------------------------------------------------------------
 *                              Grid
*/

.grid {
  margin: 0;
  @media all and (min-width: 1000px) {
    margin-top: 3rem;
    margin-bottom: 5rem;
  }
  &[role="presentation"] {  
    @media all and (max-width: 1000px) {
      max-width: 100%;
      padding: 0;
      margin: 0;
    }
  }

  [style*="background-image"] {
    min-height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    @media all and (min-width: 1000px) {
      height: 400px;
    }
    h2 {
      color: $colour-yellow;
      font-weight: 300;
      position: relative;
      z-index: 100;
      text-align: center;
      margin: 0;
      padding: 1.5em;
      font-size: 1.5em;
      @media all and (min-width: 1300px) {
        font-size: 2em;
      }
      @media all and (min-width: 600px) {
        padding: 1em;
      }
    }
    a.overlay-shadow {
      background: rgba(0,0,0,.3);
      width: 100%;
      height: 100%;
      transition: opacity .5s ease;
      opacity: 1;
      position: absolute;
      &:hover {
        background: none;
      }
    }
  }
}

/** ----------------------------------------------------------------------------
 *                              Contact me
*/

section.contact-me {
  background-color: #fff;
  margin-bottom: 3rem;
  margin-top: 3rem;
  background-position: center center;
  @media all and (min-width: 1000px) {
    margin: 0;
  }
  div[role="presentation"] {
    display: block;
    justify-content: space-between;

    @media all and (min-width: 1000px) {
      display: flex;
      padding-top: 10em;
      padding-bottom: 10em;
    }
    & > * {
      flex: 1 1 auto;
    }
  }
  .happy-face {
    text-align: center;
    h2 {
      margin-bottom: 0;
      font-size: 2em;
      font-weight: 400;
      @media all and (min-width: 500px) {
        font-size: 2.8em;
      }
    }
    h2,p {
      font-family: $font-azona-sans;
      color: $colour-dark-turquois;
      margin-top: 0;
    }
    p {
      font-size: 1.5em;
    }
  }
}
.background-dark-turquoise {
  padding: 1em;
  h2 {
    margin-top: 0;
  }
}
input.slider {
  margin: 2em auto;
  width: 60%;
  height: 3px;
  border-radius: 5px;
  background: $colour-dark-turquois;
  outline: none;
  opacity: 0.7;
  appearance: none;
  color: $colour-dark-turquois;
  cursor: pointer;
  &:focus {
    color: transparent;
    box-shadow: none;
  }
}


.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  @include range-thum;
}

.slider::-moz-range-thumb {
  @include range-thum;
}


.very-happy,
.happy,
.sad {
    transition: opacity 1s ease-out;
    opacity: 0; 
    overflow: hidden;
  &.show {
    display: inline-block;
    opacity: 1;
  }
  &.hidden {
    display: none;
  }
}

form {
  @include form-label-dodge;
  .form-item {
    padding: 0.7em 0;
  }
  input[type="submit"] {
    margin-top: 3rem;
     @media all and (max-width: 500px)  {
      padding-top: 1.5em;
     }
  }
  select,
  ::placeholder {
    color: #b4b3b1;
    font-size: 2.3em;
  }
  select {
    padding: 0.4em;
    font-size: 2em;

    @media all and (max-width: 500px)  {
      font-size: 1.2em;
      padding: 0.8em 0.8em;
    }
    & * {
      font-size: 0.5em;
    }
  }
}

//Arrow Down
select {
  appearance: none;
  background: url("../img/arrowdown.png") no-repeat;
  background-size: 12px;
  background-position: calc(100% - 20px) center;
  background-repeat: no-repeat;
  background-color: #efefef;
  cursor: pointer;
}

.numberRange {
  margin-top: 2em;
  & > * {
    display: inline-block;
    vertical-align: middle;
  }
  .material-icons {
    font-size: 3em;
    color: $colour-dark-turquois;
    @media all and (min-width: 500px) {
      font-size: 5em;
    }
  }
}